org.gradle.api.plugins

## Class ApplicationPlugin

- java.lang.Object
- - org.gradle.api.plugins.ApplicationPlugin

- All Implemented Interfaces:
    Plugin<Project>

      public class ApplicationPlugin
      extends Object
      implements Plugin<Project>

  A `Plugin` which runs a project as a Java Application.

  The plugin can be configured via its companion `ApplicationPluginConvention` object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPLICATION_GROUP`
    `static String` | `APPLICATION_PLUGIN_NAME`
    `static String` | `TASK_DIST_TAR_NAME`
    `static String` | `TASK_DIST_ZIP_NAME`
    `static String` | `TASK_RUN_NAME`
    `static String` | `TASK_START_SCRIPTS_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project project)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPLICATION_PLUGIN_NAME

          public static final String APPLICATION_PLUGIN_NAME

      See Also:
        Constant Field Values

    - #### APPLICATION_GROUP

          public static final String APPLICATION_GROUP

      See Also:
        Constant Field Values

    - #### TASK_RUN_NAME

          public static final String TASK_RUN_NAME

      See Also:
        Constant Field Values

    - #### TASK_START_SCRIPTS_NAME

          public static final String TASK_START_SCRIPTS_NAME

      See Also:
        Constant Field Values

    - #### TASK_DIST_ZIP_NAME

          public static final String TASK_DIST_ZIP_NAME

      See Also:
        Constant Field Values

    - #### TASK_DIST_TAR_NAME

          public static final String TASK_DIST_TAR_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ApplicationPlugin

          public ApplicationPlugin()

  - ### Method Detail

    - #### apply

          public void apply(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object